package org.dromara.system.service;

import org.dromara.system.domain.vo.SysImgVo;
import org.dromara.system.domain.bo.SysImgBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author Lion Li
 * @date 2024-12-16
 */
public interface ISysImgService {

    /**
     * 查询【请填写功能名称】
     */
    SysImgVo queryById(String imgId);

    /**
     * 查询【请填写功能名称】列表
     */
    TableDataInfo<SysImgVo> queryPageList(SysImgBo bo, PageQuery pageQuery);

    /**
     * 查询【请填写功能名称】列表
     */
    List<SysImgVo> queryList(SysImgBo bo);

    /**
     * 新增【请填写功能名称】
     */
    Boolean insertByBo(SysImgBo bo);

    /**
     * 修改【请填写功能名称】
     */
    Boolean updateByBo(SysImgBo bo);

    /**
     * 校验并批量删除【请填写功能名称】信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    boolean batchDelete(List<String> list);


    Boolean insert(SysImgBo bo);

    /**
     * 修改【请填写功能名称】
     */
    Boolean update(SysImgBo bo);

    List<SysImgBo> selectEnum();

    TableDataInfo<SysImgVo> selectImg();

    List<SysImgVo> selectByRoomId(String roomId, String regionId);

    List<SysImgVo> selectByList(String positionId);
}
